<?PHP
declare(strict_types = 1);

/**
 * Exception thrown in case an erroneously duplicate link is to be entered in a
 * linking table.
 */
final class MDDuplicateLinkException extends Exception {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {

        //error message
        return 'Duplicate link exception: ' . $this->getMessage() . '.';

    }
}
